Subject: April
From: "Kay Price" <[email-masked]>
To: "Tracy Heron" <[email-masked]>, "Rodney Schroeter" <[email-masked]>, "Perry Huntoon" <[email-masked]>, "Pat Russell" <[email-masked]>, "Mary Schweitzer" <[email-masked]>, "John Haefele" <[email-masked]>, "Jim Roberts" <[email-masked]>, "Jim Kirchstein" <[email-masked]>, "Grant, Kenneth" <[email-masked]>, "George Vanderburgh" <[email-masked]>, "Dan Boulden" <[email-masked]>, "Char Olson" <[email-masked]>
Cc: "Julie Roelke" <[email-masked]>
Date: Tue, 22 Mar 2011 01:18:26 -0500

BlankDear ADS Board,

What we feared would eventually happen to April became a reality today. She was found dead on the floor of her home this afternoon by her ex David Raejel. David called 911 and then called me. We stood in the driveway in the cold wind for three hours as police cars arrived, police detectives arrived, and eventually the coroner arrived. April's son Damon was there and his girlfriend Ashley soon arrived. A couple of hours later her daughter Danielle and her fiancé Paul arrived.  We suspect that April died Saturday night or sometime on Sunday.

Everyone knew this would happen but the shock of it actually happening leaves you ill-prepared. I have spent hours on the phone with April's brother Wally and his wife Bev and with April's mother Sandy and with George and David. It is 1:15 A.M. and Sandy is calling me back in a few minutes. There are many questions and few answers. There will be no funeral service. April will be cremated. She wanted her ashes to be scattered near her pet cemetery on the property of Place of Hawks.

I think Sandy will fly in on Wednesday from AZ and three of April's four step-sisters will come with her. Wally will get here on Thursday.  Wally said if she had a tombstone her epitaph should say "I am just fine." 

I have procrastinated about getting the newsletter done, waiting for some information from Jack Koblas. I was editing it this morning. Now it seems that should be set aside. The focus should be all about April. 

April turned 56 in August. I shared her last birthday, taking her to lunch on Lake Wisconsin. Tonight I am remembering her as a care-free teenager. And as the frightened young girl who stood by my side  as we watched her father go to ground. Like him, she was taken too soon. Aug used to say, Death is at my heels, like a mad dog barking. Yes, and barking for April too.

I know you will all share in my shock and grief. I will keep you informed as more details unfold.
Kay